Subject: Re: bug#35452: Line number faces should check for remapping of the default face

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 May 2019 16:57:53 +0300

[Forwarding to the bug tracker; please use Reply All in the future.]

> From: Dario Gjorgjevski <[email-masked]>
> Date: Thu, 16 May 2019 11:00:50 +0200
> 
> > Thanks, but I don't think I understand the advantages of this approach
> > vs the current one.  Concretely, why would we want not to inherit
> > from the 'default' face?
> 
> Indeed, there is no reason not to inherit from the default face.  In
> fact, what I suggested was making the inheritance _always hold_, i.e.,
> despite of the user's definitions of the line number faces.  Which
> brings us to the next point you brought up...
> 
> > Also, doesn't your change force the line-number face to change
> > together with 'default', even if the user defines the face to not
> > inherit from 'default'?  With the current code, users are free to
> > define the face without inheritance, and that will stop update the
> > line-number face together with 'default', e.g. when the user enlarges
> > the default face's font or makes it smaller.  With your proposal, the
> > size changes in 'default' will always be propagated to line-number,
> > right?
> 
> I agree with you.  In fact, this is exactly the reason why I had
> suggested the change -- I was using a theme were the line number faces
> were not set to inherit from default, and realized that
> text-scale-adjust does not affect them.
> 
> > And finally, if we do make the proposed change, shouldn't we stop
> > inheriting from 'default' at the same time?
> 
> Absolutely.
> 
> With all this being said, I agree with you that it is best to let the
> user choose whether he or she wants the line number faces to inherit
> from the default one.

So you agree that this bug should be closed without changing the
current code?

Thanks.